com.fasterxml.jackson.dataformat.xml.util

## Class TypeUtil

- java.lang.Object
- - com.fasterxml.jackson.dataformat.xml.util.TypeUtil

    public class TypeUtil
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`TypeUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isIndexedType(Class<?> cls)`
`static boolean` `isIndexedType(com.fasterxml.jackson.databind.JavaType type)` Helper method used for figuring out if given raw type is a collection ("indexed") type; in which case a wrapper element is typically added.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TypeUtil

    public TypeUtil()

### Method Detail

#### isIndexedType

    public static boolean isIndexedType(com.fasterxml.jackson.databind.JavaType type)

Helper method used for figuring out if given raw type is a collection ("indexed") type; in which case a wrapper element is typically added.

#### isIndexedType

    public static boolean isIndexedType(Class<?> cls)